summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIonen Wolkens <sudinave@gmail.com>2021-02-25 19:43:29 -0500
committerSam James <sam@gentoo.org>2021-02-27 03:06:18 +0000
commit6e4d54315b6b802b20f63436cfa06a660434d925 (patch)
tree4091c350d77df7c9097a8db89f731c59cd741484 /sci-libs/coinor-bcp
parentsci-libs/coinor-bcp: add github remote-id (diff)
downloadgentoo-6e4d54315b6b802b20f63436cfa06a660434d925.tar.gz
gentoo-6e4d54315b6b802b20f63436cfa06a660434d925.tar.bz2
gentoo-6e4d54315b6b802b20f63436cfa06a660434d925.zip
sci-libs/coinor-bcp: bump to 1.4.4, ported to EAPI 7
Has reworked old workarounds and reviewed deps. USE=examples removed, now installed unconditionally (small files). USE=doc now installs html docs. USE=static-libs removed. Migration from autotools-utils notably fixed tests (bug #526438) given it used to run "make check test" and Bcp's make check is bogus while "make test" actually runs tests. Closes: https://bugs.gentoo.org/526438 Package-Manager: Portage-3.0.15, Repoman-3.0.2 Signed-off-by: Ionen Wolkens <sudinave@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'sci-libs/coinor-bcp')
-rw-r--r--sci-libs/coinor-bcp/Manifest1
-rw-r--r--sci-libs/coinor-bcp/coinor-bcp-1.4.4.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/sci-libs/coinor-bcp/Manifest b/sci-libs/coinor-bcp/Manifest
index 1eacd16f2a7..0d2a06018ae 100644
--- a/sci-libs/coinor-bcp/Manifest
+++ b/sci-libs/coinor-bcp/Manifest
@@ -1 +1,2 @@
DIST Bcp-1.3.8.tgz 7086225 BLAKE2B 755aeafb9412ed94c7227e6986c2a7e5a26e4bea8084bcd09b517cd9794fe456195cb664f8d341625e8a86552c6ed1ab470c99c8a567d34be9be06ead51cbff4 SHA512 c599cc60df37cab32cfbf24522efaababbdd2de6144c316390f5e0481863ffd6aec016f97188a610ae6aca8d4e5b1b8088a35bc81bd3448fadb1727a9e9663dd
+DIST coinor-bcp-1.4.4.tar.gz 1983573 BLAKE2B 79265c0336ca719b417825df2f27e88c08c314e599693e8886170fe69755b3272aa05469bfc069660c979e4a273ca63a25fc4d3a86a695838039121fa98a14bd SHA512 066ad631a67ccf33eebc175451f4734cbf190cb4fd9866dec987d80688a69400b76415de65ee9399b1a8ccfdf3bf3af307245610481a6d673598bc157c3963bc
diff --git a/sci-libs/coinor-bcp/coinor-bcp-1.4.4.ebuild b/sci-libs/coinor-bcp/coinor-bcp-1.4.4.ebuild
new file mode 100644
index 00000000000..b4b5f58fbe9
--- /dev/null
+++ b/sci-libs/coinor-bcp/coinor-bcp-1.4.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="COIN-OR Branch-Cut-Price Framework"
+HOMEPAGE="https://projects.coin-or.org/Bcp/"
+SRC_URI="https://github.com/coin-or/Bcp/archive/releases/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/Bcp-releases-${PV}/Bcp"
+
+LICENSE="CPL-1.0"
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ sci-libs/coinor-clp:=
+ sci-libs/coinor-osi:=
+ sci-libs/coinor-utils:=
+ sci-libs/coinor-vol:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen[dot] )
+ test? ( sci-libs/coinor-sample )"
+
+src_prepare() {
+ default
+ # Prevent unneeded call to pkg-config that needs ${ED}'s in path.
+ sed -i '/--libs.*addlibs.txt/d' Makefile.in || die
+}
+
+src_configure() {
+ econf $(use_with doc dot)
+}
+
+src_compile() {
+ emake all $(usex doc doxydoc '')
+}
+
+src_test() {
+ # Unneeded for Bcp given, while "make check" exists, it fails unlike
+ # other coinor-*'s noop. Kept as safety not to lose tests in bumps.
+ emake test
+}
+
+src_install() {
+ default
+ dodoc -r examples
+ use doc && dodoc -r doxydoc/html
+
+ # Duplicate or irrelevant files.
+ rm -r "${ED}"/usr/share/coin/doc || die
+ find "${ED}" -name '*.la' -delete || die
+}